<?php


/**
 * Class - Popups
 */
class wps_ic_popups extends wps_ic {

  public $options;
  public $api_url;


  public function __construct() {

    if (is_admin()) {

      add_action('admin_print_footer_scripts', array(__CLASS__, 'print_popups'));

    }

  }


  public static function print_popups() {
    self::blocked();
    self::no_credits();
    self::no_credits_bulk();
    self::buy_credits();
  }


  public static function blocked() {
    global $wps_ic;

    $ajax      = new wps_ic_ajax();
    $referrals = $ajax->wps_ic_api_referrals();

    echo '<div id="ic_blocked_popup" style="display:none;">';
    echo '<div class="ic-popup">';
    echo '<h3>It seems that you’ve exceeded the quota for personal usage - to continue, please upgrade to a professional license.</h3><br/>';

    echo '<br/>';

    echo '<div style="display:inline-block;width: 45%;vertical-align: top;border-right: 1px solid #d1d1d1;margin-right: 2%;padding-right: 2%;">';
    echo '<h4>Share WP Compress</h4>';

    if ($referrals->total_referrals < 1) {
      echo '<h5>Get an additional 2,500 credits with your first referral.</h5>';
    } else {
      echo '<h5>Get an additional 500 credits for every friend you refer.</h5>';
    }
    echo '<br/>';
    echo '<br/>';
    echo '<strong>Your Referral Link</strong>';
    echo '<br/>';
    echo '<a href="https://WPCompress.com/?ref=' . $referrals->refID . '">https://WPCompress.com/?ref=' . $referrals->refID . '</a>';

    $share_url = 'https://wpcompress.com/?ref=' . $referrals->refID;
    $share_url = urlencode($share_url);

    echo '<div class="ic-social-shares">';
    echo '<a href="https://www.facebook.com/sharer/sharer.php?u=' . $share_url . '" target="_blank"><i class="fa fa-facebook"></i></a>';
    echo '<a href="https://twitter.com/home?status=' . $share_url . '" target="_blank"><i class="fa fa-twitter"></i></a>';
    echo '<a href="https://www.linkedin.com/shareArticle?mini=true&url=' . $share_url . '&title=WP %20Compress&summary=&source=" target="_blank"><i class="fa fa-linkedin"></i></a>';
    echo '<a href="mailto:?&subject=I\'m saving by using WP Compress, ' . $share_url . ' Join me!" target="_blank"><i class="fa fa-envelope"></i></a>';
    echo '</div>';
    echo '</div>';

    echo '<div style="display:inline-block;width:48%;vertical-align:top;">';
    echo '<h4>Professional License</h4>';
    echo '<h1>$29<span style="font-size:14px;">/year</span></h1>';
    echo '<h5>Unlimited Images, Faster Compression and More...</h5>';
    echo '<a href="https://wpcompress.com/upgrade/" class="popup-btn">Upgrade Now</a>';
    echo '</div>';

    echo '<div>';
    echo '<h6>We aim to be reasonable, check out our <a href="https://wpcompress.com/fup" target="_blank">Fair Usage Policy</a>.</h6>';
    echo '</div>';

    echo '</div>';
  }


  public static function no_credits() {

    #echo '<div id="ic_no_credits_popup" style="display:none;">';

    global $wps_ic;
    $ajax      = new wps_ic_ajax();
    $referrals = $ajax->wps_ic_api_referrals();

    /*
     * Check if it's a single file clicked or bulk compress button
     */
    $attachments = get_posts(array('post_type' => 'attachment', 'posts_per_page' => '-1', 'post_status' => 'any', 'orderby' => 'post_date', 'order' => 'DESC'));

    // Count attachments and check if user has enough credits
    $count_attachments = count($attachments);

    // Count thumbnail variations
    $thumbnail_sizes = get_intermediate_image_sizes();
    $thumbnail_sizes = count($thumbnail_sizes);

    // Total to compress
    $required_credits = $count_attachments * $thumbnail_sizes;

    // Does user have enough credits?
    $check_credits = wp_remote_get('https://devapi.wpcompress.com/?apikey=' . $wps_ic::$api_key . '&check_credits=true', array('timeout' => '10'));

    if (wp_remote_retrieve_response_code($check_credits)) {
      $body = wp_remote_retrieve_body($check_credits);
      $body = json_decode($body, true);

      if ($body['success'] == 'true') {
        // OK
        $credits = $body['data']['credits'];
      }
    }

    /**
     * Calculate possible packages
     */
    $pack_price = 5;
    $selected_pack = 2500;
    $packs = array(5 => 2500, 10 => 5000, 15 => 10000, 30 => 25000, 50 => 50000, 100 => 100000);
    foreach ($packs as $key => $pack) {
      if ($pack <= $required_credits) {
        continue;
      } else {
        $selected_pack = $pack;
        $pack_price = $key;
        break;
      }
    }


    echo '<div id="ic_no_credits_popup" style="display:none;">';
    echo '<div class="ic-popup ic-popup-v2">';
    echo '<h3 class="ic-title" style="margin-bottom:10px;">You have no credits left.</h3>';
    echo '<h5 class="ic-subtitle">Want more? Refer your friends to earn additional image credits and unlock awesome Power Ups, or upgrade to our Professional plan for unlimited images, faster compression and extended backups.</h5>';

    echo '<div class="options-shadow" style="">';
    echo '<div class="option-container">';
    echo '<div class="left-option">';
    echo '<img src="' . WPS_IC_URI . '/assets/images/image.svg" />';
    echo '<h4>Credit Pack</h4>';

    echo '<h5>' . $selected_pack . ' Compression Credits</h5>';
    echo '<h5 class="popup-price"><span>$' . $pack_price . '</span> one time</h5>';

    echo '<a href="https://wpcompress.com/upgrade" target="_blank" class="popup-btn">Get Credits</a>';

    echo '</div>';
    echo '<div class="mid-option"></div>';
    echo '<div class="right-option">';

    echo '<img src="' . WPS_IC_URI . '/assets/images/unlimited.svg" />';
    echo '<h4>Unlimited Images</h4>';

    echo '<div class="list">';
    echo '<h5>Unlock all Power Ups</h5>';
    echo '<h5>Get Priority Compression</h5>';
    echo '<h5>Unlimited Backups and More</h5>';
    echo '</div>';

    echo '<h5 class="popup-price unlimited"><span>$2.99</span> / month</h5>';

    echo '<a href="https://wpcompress.com/upgrade" class="popup-btn" target="_blank">Upgrade</a>';

    echo '</div>';
    echo '</div>'; // option-container

    echo '<div class="full-option">';
    echo '<div class="third-width">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<h3>Share WP Compress</h3>';
    echo '<h5>500+ Free Compression Credits</h5>';
    echo '</div>'; // table row
    echo '</div>'; // table imit
    echo '</div>'; // Third Width

    echo '<div class="third-width">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<h5>Earn 500 Compression Credits for every friend you refer to WP Compress.</h5>';
    echo '</div>'; // table row
    echo '</div>'; // table imit
    echo '</div>'; // Third Width

    echo '<div class="third-width text-right">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<strong style="display:block;">Your Referral Link</strong>';
    echo '<a href="https://wpcompress.com/?ref=' . $referrals->refID . '" class="ref-link">https://wpcompress.com/?ref=' . $referrals->refID . '</a>';

    $share_url = 'https://wpcompress.com/?ref=' . $referrals->refID;
    $share_url = urlencode($share_url);

    echo '<div class="ic-social-shares">';
    echo '<a class="ic-facebook" href="https://www.facebook.com/sharer/sharer.php?u=' . $share_url . '" target="_blank"><i class="fa fa-facebook"></i></a>';
    echo '<a class="ic-twitter" href="https://twitter.com/home?status=' . $share_url . '" target="_blank"><i class="fa fa-twitter"></i></a>';
    echo '<a class="ic-linkedin" href="https://www.linkedin.com/shareArticle?mini=true&url=' . $share_url . '&title=WP %20Compress&summary=&source=" target="_blank"><i class="fa fa-linkedin"></i></a>';
    echo '<a class="ic-mail" href="mailto:?body=I\'m saving by using WP Compress, ' . $share_url . ' Join me!" target="_blank"><i class="fa fa-envelope"></i></a>';
    echo '</div>';
    echo '</div>';
    echo '</div>';
    echo '</div>'; // Third Width

    echo '</div>'; // Ful option

    echo '</div>'; // box shadow

    echo '<div>';
    echo '<h6 class="footertitle">If you don\'t have enough credits for bulk, you can optimize individual images in your <a href="' . admin_url('upload.php') . '" target="_blank">media library</a>.</h6>';
    echo '</div>';
    echo '</div>';

    echo '</div>';
  }


  public static function no_credits_bulk() {
    global $wps_ic;
    $ajax      = new wps_ic_ajax();
    $referrals = $ajax->wps_ic_api_referrals();

    /*
     * Check if it's a single file clicked or bulk compress button
     */
    $attachments = get_posts(array('post_type' => 'attachment', 'posts_per_page' => '-1', 'post_status' => 'any', 'orderby' => 'post_date', 'order' => 'DESC'));

    // Count attachments and check if user has enough credits
    $count_attachments = count($attachments);

    // Count thumbnail variations
    $thumbnail_sizes = get_intermediate_image_sizes();
    $thumbnail_sizes = count($thumbnail_sizes);

    // Total to compress
    $required_credits = $count_attachments * $thumbnail_sizes;

    // Does user have enough credits?
    $check_credits = wp_remote_get('https://devapi.wpcompress.com/?apikey=' . $wps_ic::$api_key . '&check_credits=true', array('timeout' => '10'));

    if (wp_remote_retrieve_response_code($check_credits)) {
      $body = wp_remote_retrieve_body($check_credits);
      $body = json_decode($body, true);

      if ($body['success'] == 'true') {
        // OK
        $credits = $body['data']['credits'];
      }
    }

    /**
     * Calculate possible packages
     */
    $pack_price = 5;
    $selected_pack = 2500;
    $packs = array(5 => 2500, 10 => 5000, 15 => 10000, 30 => 25000, 50 => 50000, 100 => 100000);
    foreach ($packs as $key => $pack) {
      if ($pack <= $required_credits) {
        continue;
      } else {
        $selected_pack = $pack;
        $pack_price = $key;
        break;
      }
    }


    echo '<div id="ic_no_credits_popup_bulk" style="display:none;">';
    echo '<div class="ic-popup ic-popup-v2">';
    echo '<h3 class="ic-title">It looks like you don’t have enough credits to bulk compress all images</h3>';
    echo '<h5 class="ic-subtitle">You have ' . $credits . ' credits remaining while optimizing your entire media library will require ' . $required_credits . '. <br/>Luckily, there are a few options to continue</h5>';

    echo '<div class="options-shadow" style="">';
    echo '<div class="option-container">';
    echo '<div class="left-option">';
    echo '<img src="' . WPS_IC_URI . '/assets/images/image.svg" />';
    echo '<h4>Credit Pack</h4>';

    echo '<h5>' . $selected_pack . ' Compression Credits</h5>';
    echo '<h5 class="popup-price"><span>$' . $pack_price . '</span> one time</h5>';

    echo '<a href="https://wpcompress.com/upgrade" target="_blank" class="popup-btn">Get Credits</a>';

    echo '</div>';
    echo '<div class="mid-option"></div>';
    echo '<div class="right-option">';

    echo '<img src="' . WPS_IC_URI . '/assets/images/unlimited.svg" />';
    echo '<h4>Unlimited Images</h4>';

    echo '<div class="list">';
    echo '<h5>Unlock all Power Ups</h5>';
    echo '<h5>Get Priority Compression</h5>';
    echo '<h5>Unlimited Backups and More</h5>';
    echo '</div>';

    echo '<h5 class="popup-price unlimited"><span>$2.99</span> / month</h5>';

    echo '<a href="https://wpcompress.com/upgrade" class="popup-btn" target="_blank">Upgrade</a>';

    echo '</div>';
    echo '</div>'; // option-container

    echo '<div class="full-option">';
    echo '<div class="third-width">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<h3>Share WP Compress</h3>';
    echo '<h5>500+ Free Compression Credits</h5>';
    echo '</div>'; // table row
    echo '</div>'; // table imit
    echo '</div>'; // Third Width

    echo '<div class="third-width">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<h5>Earn 500 Compression Credits for every friend you refer to WP Compress.</h5>';
    echo '</div>'; // table row
    echo '</div>'; // table imit
    echo '</div>'; // Third Width

    echo '<div class="third-width text-right">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<strong style="display:block;">Your Referral Link</strong>';
    echo '<a href="https://wpcompress.com/?ref=' . $referrals->refID . '" class="ref-link">https://wpcompress.com/?ref=' . $referrals->refID . '</a>';

    $share_url = 'https://wpcompress.com/?ref=' . $referrals->refID;
    $share_url = urlencode($share_url);

    echo '<div class="ic-social-shares">';
    echo '<a class="ic-facebook" href="https://www.facebook.com/sharer/sharer.php?u=' . $share_url . '" target="_blank"><i class="fa fa-facebook"></i></a>';
    echo '<a class="ic-twitter" href="https://twitter.com/home?status=' . $share_url . '" target="_blank"><i class="fa fa-twitter"></i></a>';
    echo '<a class="ic-linkedin" href="https://www.linkedin.com/shareArticle?mini=true&url=' . $share_url . '&title=WP %20Compress&summary=&source=" target="_blank"><i class="fa fa-linkedin"></i></a>';
    echo '<a class="ic-mail" href="mailto:?body=I\'m saving by using WP Compress, ' . $share_url . ' Join me!" target="_blank"><i class="fa fa-envelope"></i></a>';
    echo '</div>';
    echo '</div>';
    echo '</div>';
    echo '</div>'; // Third Width

    echo '</div>'; // Ful option

    echo '</div>'; // box shadow

    echo '<div>';
    echo '<h6 class="footertitle">If you don\'t have enough credits for bulk, you can optimize individual images in your <a href="' . admin_url('upload.php') . '" target="_blank">media library</a>.</h6>';
    echo '</div>';
    echo '</div>';

    echo '</div>';
  }


  public static function buy_credits() {
    global $wps_ic;
    $ajax      = new wps_ic_ajax();
    $referrals = $ajax->wps_ic_api_referrals();

    /*
     * Check if it's a single file clicked or bulk compress button
     */
    $attachments = get_posts(array('post_type' => 'attachment', 'posts_per_page' => '-1', 'post_status' => 'any', 'orderby' => 'post_date', 'order' => 'DESC'));

    // Count attachments and check if user has enough credits
    $count_attachments = count($attachments);

    // Count thumbnail variations
    $thumbnail_sizes = get_intermediate_image_sizes();
    $thumbnail_sizes = count($thumbnail_sizes);

    // Total to compress
    $required_credits = $count_attachments * $thumbnail_sizes;

    // Does user have enough credits?
    $check_credits = wp_remote_get('https://devapi.wpcompress.com/?apikey=' . $wps_ic::$api_key . '&check_credits=true', array('timeout' => '10'));

    if (wp_remote_retrieve_response_code($check_credits)) {
      $body = wp_remote_retrieve_body($check_credits);
      $body = json_decode($body, true);

      if ($body['success'] == 'true') {
        // OK
        $credits = $body['data']['credits'];
      }
    }

    /**
     * Calculate possible packages
     */
    $pack_price = 5;
    $selected_pack = 2500;
    $packs = array(5 => 2500, 10 => 5000, 15 => 10000, 30 => 25000, 50 => 50000, 100 => 100000);
    foreach ($packs as $key => $pack) {
      if ($pack <= $required_credits) {
        continue;
      } else {
        $selected_pack = $pack;
        $pack_price = $key;
        break;
      }
    }

    echo '<div id="ic_additional_credits_popup" style="display:none;">';
    echo '<div class="ic-popup ic-popup-v2">';
    echo '<h3 class="ic-title">You have ' . $credits . ' image credits remaining</h3>';
    echo '<h5 class="ic-subtitle">Want more? Refer your friends to earn additional image credits and unlock awesome Power Ups, or upgrade to our Professional plan for unlimited images, faster compression and extended backups.</h5>';

    echo '<div class="options-shadow" style="">';
    echo '<div class="option-container">';
    echo '<div class="left-option">';
    echo '<img src="' . WPS_IC_URI . '/assets/images/image.svg" />';
    echo '<h4>Credit Pack</h4>';

    echo '<h5>' . $selected_pack . ' Compression Credits</h5>';
    echo '<h5 class="popup-price"><span>$' . $pack_price . '</span> one time</h5>';

    echo '<a href="https://wpcompress.com/upgrade" target="_blank" class="popup-btn">Get Credits</a>';

    echo '</div>';
    echo '<div class="mid-option"></div>';
    echo '<div class="right-option">';

    echo '<img src="' . WPS_IC_URI . '/assets/images/unlimited.svg" />';
    echo '<h4>Unlimited Images</h4>';

    echo '<div class="list">';
    echo '<h5>Unlock all Power Ups</h5>';
    echo '<h5>Get Priority Compression</h5>';
    echo '<h5>Unlimited Backups and More</h5>';
    echo '</div>';

    echo '<h5 class="popup-price unlimited"><span>$2.99</span> / month</h5>';

    echo '<a href="https://wpcompress.com/upgrade" class="popup-btn" target="_blank">Upgrade</a>';

    echo '</div>';
    echo '</div>'; // option-container

    echo '<div class="full-option">';
    echo '<div class="third-width">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<h3>Share WP Compress</h3>';
    echo '<h5>500+ Free Compression Credits</h5>';
    echo '</div>'; // table row
    echo '</div>'; // table imit
    echo '</div>'; // Third Width

    echo '<div class="third-width">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<h5>Earn 500 Compression Credits for every friend you refer to WP Compress.</h5>';
    echo '</div>'; // table row
    echo '</div>'; // table imit
    echo '</div>'; // Third Width

    echo '<div class="third-width text-right">';
    echo '<div class="table-imit">';
    echo '<div class="table-row">';
    echo '<strong style="display:block;">Your Referral Link</strong>';
    echo '<a href="https://wpcompress.com/?ref=' . $referrals->refID . '" class="ref-link">https://wpcompress.com/?ref=' . $referrals->refID . '</a>';

    $share_url = 'https://wpcompress.com/?ref=' . $referrals->refID;
    $share_url = urlencode($share_url);

    echo '<div class="ic-social-shares">';
    echo '<a class="ic-facebook" href="https://www.facebook.com/sharer/sharer.php?u=' . $share_url . '" target="_blank"><i class="fa fa-facebook"></i></a>';
    echo '<a class="ic-twitter" href="https://twitter.com/home?status=' . $share_url . '" target="_blank"><i class="fa fa-twitter"></i></a>';
    echo '<a class="ic-linkedin" href="https://www.linkedin.com/shareArticle?mini=true&url=' . $share_url . '&title=WP %20Compress&summary=&source=" target="_blank"><i class="fa fa-linkedin"></i></a>';
    echo '<a class="ic-mail" href="mailto:?body=I\'m saving by using WP Compress, ' . $share_url . ' Join me!" target="_blank"><i class="fa fa-envelope"></i></a>';
    echo '</div>';
    echo '</div>';
    echo '</div>';
    echo '</div>'; // Third Width

    echo '</div>'; // Ful option

    echo '</div>'; // box shadow

    echo '<div>';
    echo '<h6 class="footertitle">If you don\'t have enough credits for bulk, you can optimize individual images in your <a href="' . admin_url('upload.php') . '" target="_blank">media library</a>.</h6>';
    echo '</div>';
    echo '</div>';

    echo '</div>';
  }


}