<?php


/**
 * Class - Upgrade
 */
class wps_ic_upgrade extends wps_ic {


  public function __construct() {
    $this->create_log_table();
    #$this->update_cron_schedule();

    $this->upgrade_table();
  }


  /**
   * Create the log table for old versions
   * @since 1.1.62
   */
  public function create_log_table() {
    $database = new wps_ic_database();
    $database->create_log_table();
    $database->create_compress_table();
  }


  /**
   * Update cron schedule
   * @since 1.1.66
   */
  public function upgrade_table() {
    global $wpdb;

    $latest = '1';
    $update_option = get_option('wps_ic_updated');

    if (empty($update_option) || $update_option != $latest) {
      // Queue
      $query = $wpdb->prepare("DROP INDEX attachment_ID ON " . $wpdb->prefix . "ic_queue");
      $wpdb->query($query);

      $query = $wpdb->prepare("CREATE UNIQUE INDEX attachment_ID ON " . $wpdb->prefix . "ic_queue(attachment_ID, type)");
      $wpdb->query($query);

      // Log
      $query = $wpdb->prepare("ALTER TABLE " . $wpdb->prefix . "ic_log ADD type varchar(32)");
      $wpdb->query($query);

      // Queue
      $query = $wpdb->prepare("ALTER TABLE " . $wpdb->prefix . "ic_queue ADD type varchar(32)");
      $wpdb->query($query);

      update_option('wps_ic_updated', $latest);

    }

  }

}